<?php

namespace app\model;

use think\model\relation\HasOne;

class Business extends Base
{
    const state_reviewing = 0;//待审核
    const state_on        = 1;//审核通过
    const state_off       = 2;//驳回

    const model_ordinary        = 0;//普通商家
    const model_annual_fee      = 1;//年费商家
    const model_zero            = 2;//0元商家
    /**
     * @remarks 代理商、平台商、平台代理商、渠道商等词组均描述的是代理商，因此文案统一为【代理商】
     */

    static function allModel()
    {
            return [
                self::model_ordinary=>"普通商家",
                self::model_annual_fee=>"年费商家",
                self::model_zero=>"0元商家",
            ];
    }
    public function category()
    {
        return $this->hasOne(Category::class, 'id',"type");
    }

    public function account()
    {
        return $this->hasOne(Account::class, 'business_code',"code");
    }

    public function agency()
    {
        return $this->hasOne(self::class,"code","agency_code");
    }

}
